#ifndef AccountHistorieStatistikV_H
#define AccountHistorieStatistikV_H

#include <Bild.h>
#include <Schrift.h>

using namespace Framework;

class AccountHistorieStatistikV
{
public:
	// nicht constant
	virtual void setSchrift( Schrift *schrift ) = 0;
	virtual void setBildschirm( Bildschirm *screen ) = 0;
	virtual void ladeDaten( int spielId ) = 0;
	virtual void setSichtbar( bool sichtbar ) = 0;
	virtual void doMausEreignis( MausEreignis &me ) = 0;
	virtual void doTastaturEreignis( TastaturEreignis &te ) = 0;
	virtual bool tick( double tickVal ) = 0;
	virtual void render( Bild &zRObj ) = 0;
	// constant
	virtual bool istNochSichtbar() const = 0;
	virtual bool wurdeGeschlossen() const = 0;
	// Reference Counting
	virtual AccountHistorieStatistikV *getThis() = 0;
	virtual AccountHistorieStatistikV *release() = 0;
};

#endif